module filter1(x,y,clock,reset);
parameter b0 = 8'd8;
parameter b1 = 8'd8;
input [7:0] x;
output [7:0] y;
input clock,reset;
wire [7:0] xm1;
wire [15:0] scaled,sum1,result;

multiplier1 mac1(sum1,x,b0,result);
delay d1(x,xm1,clock,reset);

multiplier1 mac2(16'd0,xm1,b1,sum1);
assign scaled = result>>4; // scale result
assign y = scaled[7:0]; // truncate output
endmodule
