module filter2(x,y,clock,reset);
parameter a1 = 8'd10;
input [7:0] x;
output [7:0] y;
input clock,reset;
wire [7:0] ym1;
wire [15:0] scaled,sum1,result;
// scale input by 16
assign sum1 = {4'd0, x, 4'd0};

multiplier1 mac1(sum1,ym1,a1,result);
delay d1(y,ym1,clock,reset);

assign scaled = result>>4; // scale result by 16
assign y = scaled[7:0]; // truncate output
endmodule
